## $Id: pdf.py 9950 2013-02-15 06:54:39Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""
Reusable components for pdf generation.
"""

import os
import grok
from waeup.kofa.browser.pdf import PDFCreator

class DefaultPDFCreator(PDFCreator):

    header_logo_path = os.path.join(
        os.path.dirname(__file__), 'static', 'pdf_logo.jpg')

    logo_pos = [510, 750, 60]

class IbadanPDFCreator(PDFCreator):

    grok.name('ibadan_pdfcreator')

    header_logo_path = os.path.join(
        os.path.dirname(__file__), 'static', 'pdf_logo_2.jpg')

    logo_pos = [480, 740, 90]

